apiVersion: v1
kind: Service
metadata:
  labels:
    app.kubernetes.io/component: controller
    app.kubernetes.io/instance: ingress-nginx
    app.kubernetes.io/managed-by: Helm
    app.kubernetes.io/name: ingress-nginx
    app.kubernetes.io/version: 0.47.0
    helm.sh/chart: ingress-nginx-3.34.0
  name: ingress-nginx-controller
  namespace: default
spec:
  ports:
  - name: port-1
    nodePort: 80
    port: 80
    protocol: TCP
    targetPort: 80
  - name: port-2
    nodePort: 443
    port: 443
    protocol: TCP
    targetPort: 443
  - name: port-3
    nodePort: 8443
    port: 8443
    protocol: TCP
    targetPort: 8443
  selector:
    app.kubernetes.io/component: controller
    app.kubernetes.io/instance: ingress-nginx
    app.kubernetes.io/name: ingress-nginx
  sessionAffinity: None
  type: NodePort
status:
  loadBalancer: {}
